package com.dev.swms.server.model.base;

import com.dev.energy.server.model.DomainModel;

public class ItemShipInfo extends DomainModel {
	private static final long serialVersionUID = 7850472290482706148L;
	private Long itemId;
	private Double shipQuantity = 0D;
	private Double shipWeight = 0D;
	private Double shipVolume = 0D;
	
	public ItemShipInfo() {
		super();
	}
	
	public ItemShipInfo(Long itemId, Double shipQuantity, Double shipWeight,
			Double shipVolume) {
		super();
		this.itemId = itemId;
		this.shipQuantity = shipQuantity;
		this.shipWeight = shipWeight;
		this.shipVolume = shipVolume;
	}

	public Long getItemId() {
		return itemId;
	}

	public void setItemId(Long itemId) {
		this.itemId = itemId;
	}

	public Double getShipQuantity() {
		return shipQuantity;
	}

	public void setShipQuantity(Double shipQuantity) {
		this.shipQuantity = shipQuantity;
	}

	public Double getShipWeight() {
		return shipWeight;
	}

	public void setShipWeight(Double shipWeight) {
		this.shipWeight = shipWeight;
	}

	public Double getShipVolume() {
		return shipVolume;
	}

	public void setShipVolume(Double shipVolume) {
		this.shipVolume = shipVolume;
	}

}
